function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState } from 'react';
import { Space } from 'kts-components-antd-x4';
import { Radio, Tabs } from 'kts-xui';
import ScanGun from "../CollectWay/UI.ScanGun";
import Scanner from "../CollectWay/UI.Scanner";
import ManualEntry from "../CollectWay/UI.ManualEntry";
import ExcelInput from "../CollectWay/UI.ExcelInput";
import ImageFile from "../CollectWay/UI.ImageFile";
var TabPane = Tabs.TabPane;
export default (function (props) {
  var _useState = useState('scanGun'),
      _useState2 = _slicedToArray(_useState, 2),
      tabChecked = _useState2[0],
      setTabChecked = _useState2[1];

  var changeTabCheck = function changeTabCheck(e) {
    props.setInvoiceWayType(e.target.value);
    setTabChecked(e.target.value);
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Space, {
    direction: "vertical",
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Radio.Group, {
    className: "collecttabs",
    defaultValue: tabChecked,
    onChange: changeTabCheck
  }, /*#__PURE__*/React.createElement(Radio.Button, {
    value: "scanGun"
  }, "\u626B\u63CF\u67AA"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "scanner"
  }, "\u626B\u63CF\u4EEA"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "manualEntry"
  }, "\u624B\u5DE5\u5F55\u5165"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "excelInput"
  }, "Excel\u5F55\u5165"), /*#__PURE__*/React.createElement(Radio.Button, {
    value: "imageFile"
  }, "\u5F71\u50CF\u6587\u4EF6")), tabChecked === 'scanGun' && /*#__PURE__*/React.createElement(ScanGun, null), tabChecked === 'scanner' && /*#__PURE__*/React.createElement(Scanner, null), tabChecked === 'manualEntry' && /*#__PURE__*/React.createElement(ManualEntry, null), tabChecked === 'excelInput' && /*#__PURE__*/React.createElement(ExcelInput, null), tabChecked === 'imageFile' && /*#__PURE__*/React.createElement(ImageFile, null)));
});