/// <reference types="react" />
import * as CSS from 'csstype';
import './index.less';
interface CSSProperties extends CSS.Properties<string | number> {
}
export interface IIconProps {
    src: string;
    width?: number;
    height?: number;
    color?: string;
    className?: string;
    style?: CSSProperties;
}
export default function Icon(props: IIconProps): JSX.Element;
export {};
