function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useContext } from 'react';
import { Space } from 'kts-components-antd-x4';
import { Form } from 'kts-xui';
import Icon from '@ant-design/icons';
import { ReactComponent as ScannerIcon } from "../Icon/scanner.svg";
import CollectController from "../../CollectContext";
var FormItem = Form.Item;

var App = function App() {
  var _useState = useState(''),
      _useState2 = _slicedToArray(_useState, 2),
      message = _useState2[0],
      setMessage = _useState2[1];

  var controller = useContext(CollectController);

  var getToken = function getToken() {
    setMessage('');

    if (controller.getToken) {
      controller.getToken().then(function (res) {
        if (res.ok) {
          setMessage(res.body.message);
        } else {
          setMessage(res.message);
        }
      });
    } // const { url, draftFlag, inputType } = this.state;
    // const groupNumber = this.props.form.getFieldValue('groupNumber');
    // let data = {
    //     ...this.state.params,
    //     groupNumber,
    //     url,
    //     draftFlag,
    //     inputType
    // };
    // invoiceImport.ocrImport(this, data).then((response: any) => {
    //     const err = response.err;
    //     const res = response.res;
    //     if (err) {
    //         message.error(err.body.message);
    //         return;
    //     }
    //     if (res) {
    //         if (res.ok) {
    //             this.setState({
    //                 message: res.body.message
    //             });
    //         } else {
    //             this.setState({
    //                 message: res.message
    //             });
    //         }
    //     }
    // });

  };

  return /*#__PURE__*/React.createElement(Space, {
    direction: "vertical",
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement("div", null, message), /*#__PURE__*/React.createElement("div", {
    className: "uploadFile"
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex'
    }
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      textAlign: 'center',
      flex: 1
    }
  }, /*#__PURE__*/React.createElement("a", {
    onClick: getToken,
    target: "_blank",
    className: "iconcontainer",
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    component: ScannerIcon,
    className: "modalicon"
  }), /*#__PURE__*/React.createElement("span", {
    className: "mobaltitlefont"
  }, "\u626B\u63CF\u4EEA")))));
};

export default App;