function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState, useEffect, useRef } from 'react';
import { Space } from 'kts-components-antd-x4';
import { Form, Input, message } from 'kts-xui';
import { alxd } from "../VerifyInvoice";
var FormItem = Form.Item;

var App = function App(props) {
  var ref = useRef(null); // useEffect(() => {
  //   ref.current?.focus();
  //   ref.current?.select();
  // }, [ref.current]);
  // const [form] = Form.useForm(); 

  var _useState = useState(''),
      _useState2 = _slicedToArray(_useState, 2),
      scanInputValue = _useState2[0],
      setScanInputValue = _useState2[1];

  var onScannerChange = function onScannerChange(e) {
    setScanInputValue(e.target.value);
  };

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      showCheck = _useState4[0],
      setShowCheck = _useState4[1];

  var _useState5 = useState('开具金额(不含税)'),
      _useState6 = _slicedToArray(_useState5, 2),
      jineLabel = _useState6[0],
      setJineLabel = _useState6[1];

  var onScannerBlur = function onScannerBlur() {
    ref.current.focus();
  };

  var handleSubmit = function handleSubmit() {
    // form.validateFields().then(values => {
    //   console.log('提交的数据：', values);
    //   setScanInputValue('');
    var companyId = ''; // Sdk.instance.user.currentcompanyId;

    var loggedUserId = ''; // Sdk.instance.user.userInfo.gUserId;
    // const { inputType, draftFlag } = this.state;
    // let data = {
    //     ...values,
    //     url: this.state.url,
    //     companyId,
    //     loggedUserId,
    //     type: this.state.type,
    //     inputType,
    //     draftFlag,
    //     loggingType: 2,//发票录入类型，2:扫描枪
    // };
    // invoiceImport.scanImport(this, data).then((res: any) => {
    //     if (res.er) {
    //         message.error(err.status.description);
    //         return null;
    //     } else {
    //         super.callback();
    //         this.success();
    //     }
    // });
    // }).catch(errorInfo => {
    //   console.log('出错信息：', errorInfo);
    // }); 
  };

  var onGetqrcode = function onGetqrcode() {
    var array = scanInputValue.replace(/， /g, ',').split(',');

    if (array.length < 7) {
      message.error('数据未识别');
      setScanInputValue('');
    } else {
      if (array[2].length < 10 || array[3].length < 8) {
        return null;
      }

      var fplx = alxd(array[2]); //fplx 发票类型 

      if (fplx === '01' || fplx === '02' || fplx === '03' || fplx === '15') {
        setShowCheck(false);
        setJineLabel(fplx === '02' ? '合计金额' : fplx === '03' ? '不含税价' : fplx === '15' ? '车价合计' : '开具金额(不含税)');
      } else if (fplx === '04' || fplx === '10' || fplx === '11' || fplx === '14') {
        setShowCheck(true);
      }

      var r = new RegExp(/^[0-9]*$/);

      if (r.test(array[2]) && r.test(array[3]) && r.test(array[5]) && new RegExp(/^[0-9].*$/).test(array[4])) {
        // form.setFieldsValue({
        //     invoiceCode: array[2],
        //     invoiceNumber: array[3],
        //     invoiceDate: array[5].substring(0, 4) + '-' + array[5].substring(4, 6) + '-' + array[5].substring(6, 8),
        //     amountWithoutTax: array[4],
        //     invoiceParityCode: array[6].substr(-6, 6)
        // });
        handleSubmit();
      } else {
        message.error('数据未识别');
        setScanInputValue('');
      }
    }
  };

  var _useState7 = useState(''),
      _useState8 = _slicedToArray(_useState7, 2),
      tips = _useState8[0],
      setTips = _useState8[1];

  var handleLeave = function handleLeave() {
    console.log('失去焦点');
    setTips('* 失去焦点，请点击此弹窗的任一输入框获取焦点。');
  };

  var handleFocus = function handleFocus() {
    console.log('获取焦点');
    setTips('已获取焦点，请扫码录入。');
  };

  useEffect(function () {
    if (scanInputValue) {
      onGetqrcode();
    }
  }, [scanInputValue]);
  return /*#__PURE__*/React.createElement(Space, {
    direction: "vertical",
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "ktsAntX-form ktsAntX-form-vertical"
  }, /*#__PURE__*/React.createElement(FormItem, {
    label: "\u626B\u7801\u8F93\u5165",
    style: {
      height: 0,
      opacity: 0
    }
  }, /*#__PURE__*/React.createElement(Input, {
    ref: ref,
    onChange: onScannerChange,
    value: scanInputValue
  })), /*#__PURE__*/React.createElement(FormItem, {
    style: {
      display: 'inline-flex',
      width: 'calc(50% - 8px)'
    },
    name: "invoiceCode",
    label: "\u53D1\u7968\u4EE3\u7801",
    rules: [{
      required: true,
      message: "字段不能为空"
    }]
  }, /*#__PURE__*/React.createElement(Input, {
    readOnly: true,
    onClick: onScannerBlur
  })), /*#__PURE__*/React.createElement(FormItem, {
    style: {
      display: 'inline-flex',
      width: 'calc(50% - 8px)',
      marginLeft: '16px'
    },
    name: "invoiceNumber",
    label: "\u53D1\u7968\u53F7\u7801",
    rules: [{
      required: true,
      message: "字段不能为空"
    }]
  }, /*#__PURE__*/React.createElement(Input, {
    readOnly: true,
    onClick: onScannerBlur
  })), /*#__PURE__*/React.createElement(FormItem, {
    name: "invoiceDate",
    label: "\u5F00\u7968\u65E5\u671F",
    style: {
      display: 'inline-flex',
      width: 'calc(50% - 8px)'
    },
    rules: [{
      required: true,
      message: "字段不能为空"
    }]
  }, /*#__PURE__*/React.createElement(Input, {
    readOnly: true,
    onClick: onScannerBlur
  })), /*#__PURE__*/React.createElement(FormItem, {
    name: "amountWithoutTax",
    label: jineLabel,
    style: {
      display: showCheck ? 'none' : 'inline-flex',
      width: 'calc(50% - 8px)',
      marginLeft: '16px'
    }
  }, /*#__PURE__*/React.createElement(Input, {
    readOnly: true,
    onClick: onScannerBlur
  })), /*#__PURE__*/React.createElement(FormItem, {
    name: "invoiceParityCode",
    label: "\u6821\u9A8C\u7801",
    style: {
      display: showCheck ? 'inline-flex' : 'none',
      width: 'calc(50% - 8px)',
      marginLeft: '16px'
    }
  }, /*#__PURE__*/React.createElement(Input, {
    readOnly: true
  })), /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement("span", {
    style: {
      fontSize: '12px',
      color: (tips === null || tips === void 0 ? void 0 : tips.indexOf('失去焦点')) >= 0 ? "#d9363e" : '#1890ff'
    }
  }, tips))), /*#__PURE__*/React.createElement("div", {
    style: {
      'padding': '10px 0px 0',
      'borderTop': '1px solid #cccccc',
      'color': '#999999'
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      color: '#ff4d4f'
    }
  }, "*"), " \u8BF7\u5C06\u626B\u7801\u67AA\u9760\u8FD1\u53D1\u7968\u4E8C\u7EF4\u7801\uFF0C\u5E76\u4FDD\u8BC1\u4E8C\u7EF4\u7801\u6E05\u6670\uFF0C\u7CFB\u7EDF\u4F1A\u81EA\u52A8\u8FDB\u884C\u53D1\u7968\u5F55\u5165\u3002(\u626B\u7801\u591A\u6B21\u5931\u8D25\u53EF\u4EE5\u5C1D\u8BD5\u628A\u8F93\u5165\u6CD5\u8BBE\u7F6E\u6210\u5C0F\u5199)"));
};

export default App;